
			ALSA utils installation
			=======================

Requirements
------------

alsamixer requires the ncurses library.  Some systems need to install
the develop package additionally to link with this library.

alsaconf requires dialog or whiptail program to run properly.

If systemd (minimum version 18) is installed it will be used to run
alsactl to store and restore settings.

Installation
------------

For installation you can use these commands:

	./configure
	make install

If ./configure command complain that alsa-lib package isn't installed,
please, check if --prefix option is same for alsa-lib and alsa-utils
package. The configure script from alsa-utils package probably cannot find
header file asoundlib.h in $prefix/include/alsa directory (usually in
/usr/include/alsa directory).

Compilation from git sources
---------------------------

You need also GNU packages autoconf and automake installed in your system
to compile git sources of alsa-utils package.

For compilation you can use these commands:

	aclocal
	gettextize
	autoheader
	automake --foreign --copy --add-missing
	autoconf
	./configure
	make

The included gitcompile script does this job for you.

To configure the build to install in a local directory, a command like the
following can be used:

	./gitcompile --prefix="$PWD/build" \
	  --with-systemdsystemunitdir="$PWD/build/$(pkg-config systemd --variable=systemdsystemunitdir)" \
	  --with-udev-rules-dir="$PWD/build/$(pkg-config udev --variable=udevdir)"

Note: Some automake packages have missing aclocal program. Use newer version
      in the case.
